package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableToLongFunction.class */
public interface FailableToLongFunction<T, E extends Throwable> {
    public static final FailableToLongFunction NOP = t -> {
        return 0L;
    };

    long applyAsLong(T t) throws Throwable;

    static <T, E extends Throwable> FailableToLongFunction<T, E> nop() {
        return NOP;
    }
}
